<div class="container mt-3 mb-5">
  <div class="card">
    <div class="d-flex justify-content-between p-3">
      <div class="image">
        <img
          src="https://img.freepik.com/premium-vector/quiz-logo-with-speech-bubble-icon_149152-811.jpg?w=2000"
          alt="logo"
          width="200px"
        />
      </div>
      <div class="quiz-header">
        <h4 style="font-family: cursive">
          Angular
          <span style="color: aqua">Q</span>
          <span style="color: red">u</span>
          <span style="color: rgb(237, 237, 53)">i</span>
          <span style="color: greenyellow">z</span> !
        </h4>
        <span style="font-style: italic">Welcome {{ name }}</span>
      </div>
    </div>
    <ng-container *ngIf="!isQuizCompleted">
      <div class="d-flex justify-content-around py-3">
        <div class="score">
          <h5>{{ points }} Points</h5>
        </div>
        <div class="question-remain">
          <span style="font-style: italic">
            Question
            <span style="color: rgb(203, 102, 91)"
              >{{ currentQuestion + 1 }} </span
            >of
            <span style="color: rgb(203, 102, 91)">
              {{ questionList.length }}</span
            >
          </span>
        </div>
        <div class="timer">
          <h5>{{ counter }} sec ⏱</h5>
        </div>
      </div>
      <div class="progress mb-3">
        <div
          class="progress-bar bg-success progress-bar-striped"
          role="progressbar"
          [ngStyle]="{ width: progress + '%' }"
          aria-valuenow="25"
          aria-valuemin="0"
          aria-valuemax="100"
        ></div>
      </div>
      <div class="question">
        <div class="card">
          <h3>{{ questionList[currentQuestion]?.questionText }}</h3>
        </div>
      </div>
      <div class="options">
        <ol *ngFor="let option of questionList[currentQuestion]?.options">
          <li (click)="answer(currentQuestion + 1, option)">
            <div class="card"  appChangeBg [isCorrect]="option.correct">
              {{ option.text }}
            </div>
          </li>
        </ol>
      </div>
      <div class="d-flex justify-content-between">
        <button [disabled]="currentQuestion == 0" class="btn">
          <i
            class="fa fa-chevron-left fa-3x"
            style="color: rgb(209, 41, 23)"
            aria-hidden="true"
            (click)="previousQuestion()"
          ></i>
        </button>

        <button (click)="resetQuiz()" class="btn">
          <i
            class="fa fa-refresh fa-3x"
            style="color: rgb(203, 102, 91)"
            aria-hidden="true"
          ></i>
        </button>

        <button
          [disabled]="currentQuestion == questionList.length - 1"
          class="btn"
        >
          <i
            class="fa fa-chevron-right fa-3x"
            aria-hidden="true"
            style="color: rgb(209, 41, 23)"
            (click)="nextQuestion()"
          ></i>
        </button>
      </div>
    </ng-container>

    <ng-container *ngIf="isQuizCompleted">
      <div class="row d-flex justify-content-between">
        <img
          src="https://icon-library.com/images/celebration-icon-png/celebration-icon-png-7.jpg"
          style="width: 50%"
          class="img-fluid col-sm-12 mx-auto"
          alt=""
        />
        <div class="result text-center col-md-6 col-sm-12">
          <h3>
            Congratulations!! <br />
            You have completed the Quiz. <br />
            Below is your result :
          </h3>
          <p>Total Questions attempted : {{ questionList.length }}</p>
          <p>
            Total Correct answered :
            <span   style="color: green ; "> {{ correctAnswer }}</span>
          </p>
          <p>
            Total Wrong answered :
            <span style="color: red;">{{ incorrectAnswer }}</span>
          </p>
          <p>Your Score : {{ points }} Points</p>
        </div>
      </div>
    </ng-container>
  </div>
</div>
